# Enable drift automation for a workspace

Configures drift detection pipeline and schedule for the workspace.

Endpoint: PUT /iacm/api/orgs/{org}/projects/{project}/workspaces/{workspace}/drift-config
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "dz"

  - `project` (string, required)
    Project is the project identifier.
    Example: "j"

  - `workspace` (string, required)
    Workspace identifier
    Example: "Molestiae deserunt facere doloremque minus consequatur dolorum."

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "yew"

## Request fields (application/json):

  - `pipeline_id` (string, required)
    Pipeline to run for drift detection
    Example: "Earum vero est a hic."

  - `provisioner` (string)
    Provisioner key (defaults to opentofu when omitted)
    Example: "Aspernatur mollitia quos libero."

  - `run_every` (integer, required)
    Run drift detection every N hours or N days (see run_every_unit)
    Example: 3506792258249771500

  - `run_every_unit` (string, required)
    hours or days
    Enum: "hours", "days"

## Response 200 fields (application/json):

  - `status` (string, required)
    Outcome message
    Example: "Qui quia voluptatum cupiditate."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


